IF OBJECT_ID('[RubyGemVersions_Extended]') IS NOT NULL DROP VIEW [RubyGemVersions_Extended]
GO

CREATE VIEW [RubyGemVersions_Extended]
AS
	SELECT RGV.[Gem_Id],
	       RG.[Gem_Name],
	       RGV.[Version_Text],
		   RGV.[Platform_Text],
		   RGV.[Metadata_Bytes],
		   RGV.[Published_Date],
		   RGV.[Gem_Size],
		   RGV.[Download_Count],
		   RGV.[Cached_Indicator],
		   RGV.[LastDownloaded_Date],
		   RGV.[GemHash_Bytes],
		   RGV.[Active_Indicator],
		   RG.[Summary_Text]
	  FROM [RubyGemVersions] RGV
	       INNER JOIN [RubyGems] RG
		           ON RG.[Gem_Id] = RGV.[Gem_Id]

GO